Subject: Re: bug#40003: 27.0.70; Windows build is without jansson support

From: yyoncho <[email-masked]>
Date: Wed, 1 Jul 2020 00:04:37 +0300

FWIW a few lsp-mode users tested the build and it works as expected.

Thanks,
Ivan

On Tue, Jun 30, 2020 at 11:56 PM <[email-masked]> wrote:

> On 2020-06-30 15:26, Eli Zaretskii wrote:
> >> From: Phillip Lord <[email-masked]>
> >> Cc: [email-masked],  [email-masked],  [email-masked]
> >> Date: Tue, 30 Jun 2020 12:13:05 +0100
> >>
> >> I have pushed a snapshot release of emacs-28 to alpha which contains
> >> this support as far as I can tell.
> >
> > Thanks.
> >
> >> "As far as I can tell" means
> >>
> >> (fboundp 'json-serialize)
> >>
> >> so any slightly more rigourous testing of this build against a real
> >> world use case would be appreciated.
> >
> > There's a small test suite in test/src/json-tests.el.
>
> Yes, I know, but the test suite tests the build and not the packaged
> version. We don't have any way to check that automatically.
>